summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-04-29 23:49:47 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-04-29 23:49:47 +0000
commit87aed84ff4adb186187b1432a1e0dae29e8fd7f0 (patch)
tree7f7f6927ff96381d975d73ee9de5e81e225293d1 /tests
parent8b4811a61b374da1f687f0b5e6119010bd2dffdb (diff)
downloadcoreutils-87aed84ff4adb186187b1432a1e0dae29e8fd7f0.tar.xz
Don't set _POSIX2_VERSION; no longer needed.
Diffstat (limited to 'tests')
-rw-r--r--tests/head/Test.pm3
-rwxr-xr-xtests/misc/split-fail6
-rw-r--r--tests/pr/Test.pm3
3 files changed, 3 insertions, 9 deletions
diff --git a/tests/head/Test.pm b/tests/head/Test.pm
index 370a409ef..1eb167737 100644
--- a/tests/head/Test.pm
+++ b/tests/head/Test.pm
@@ -2,9 +2,6 @@ package Test;
require 5.002;
use strict;
-# Tell head to accept old-style options like `-1'.
-$Test::env_default = ['_POSIX2_VERSION=199209'];
-
my @tv = (
# test name, options, input, expected output, expected return code
#
diff --git a/tests/misc/split-fail b/tests/misc/split-fail
index 462c780e8..79bda949b 100755
--- a/tests/misc/split-fail
+++ b/tests/misc/split-fail
@@ -31,10 +31,10 @@ split -C 0 in 2> /dev/null && fail=1
split -l 0 in 2> /dev/null && fail=1
# Make sure that the obsolete -N notation still works
-_POSIX2_VERSION=199209 split -1 in 2> /dev/null || fail=1
+split -1 in 2> /dev/null || fail=1
# Then make sure that -0 evokes a failure.
-_POSIX2_VERSION=199209 split -0 in 2> /dev/null && fail=1
+split -0 in 2> /dev/null && fail=1
# Ensure that split --lines=N and --bytes=N work for N=2^32,
# assuming our host supports integers that wide.
@@ -51,7 +51,7 @@ fi
#split --line-bytes=$_4gb 2> /dev/null in && fail=1
# Make sure that a huge obsolete option evokes the right failure.
-env -u _POSIX2_VERSION split -99999999999999999991 2> out && fail=1
+split -99999999999999999991 2> out && fail=1
# On losing systems (x86 Solaris 5.9 c89), we get a message like this:
# split: line count option -9999999999... is too large
diff --git a/tests/pr/Test.pm b/tests/pr/Test.pm
index fd76957c4..7aba45d42 100644
--- a/tests/pr/Test.pm
+++ b/tests/pr/Test.pm
@@ -3,9 +3,6 @@ package Test;
require 5.002;
use strict;
-# Tell pr to accept old-style options like operand-less `-S'.
-$Test::env_default = ['_POSIX2_VERSION=199209'];
-
my @tv = (
# -b option is no longer an official option. But it's still working to